Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.maven
[Java] Class Conf2ScopeMapping

    java.lang.Object
      org.gradle.api.artifacts.maven.Conf2ScopeMapping

    public class Conf2ScopeMapping

An immutable mapping to map a dependency configuration to a Maven scope. This class has implemented equality and hashcode based on its values not on object identity.

See Also:
  Conf2ScopeMappingContainer

Constructor Summary
`Conf2ScopeMapping(Integer priority, Configuration configuration, String scope)` Constructs a `Conf2ScopeMapping`.

Method Summary
`boolean` | `equals(Object o)`
`Configuration` | `getConfiguration()` Returns the dependency configuration name.
`Integer` | `getPriority()` Returns the priority.
`String` | `getScope()` Returns the Maven scope name.
`int` | `hashCode()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Conf2ScopeMapping

    public Conf2ScopeMapping(Integer priority, Configuration configuration, String scope)

  Constructs a `Conf2ScopeMapping`.
  Parameters:
    `priority` - The priority of this mapping
    `configuration` - The configuration name
    `scope` - The Maven scope name

Method Detail

### equals

    @Override
    public boolean equals(Object o)

### getConfiguration

    public Configuration getConfiguration()

  Returns the dependency configuration name.

### getPriority

    public Integer getPriority()

  Returns the priority.

### getScope

    public String getScope()

  Returns the Maven scope name.

### hashCode

    @Override
    public int hashCode()

Gradle API 1.10